How To Fix Cannot Determine Perl Version (Solved)

Home > Cannot Determine > Cannot Determine Perl Version

Cannot Determine Perl Version

It appears Kevin that you do not have Net::LDAP installed based on your error messages below. ok t/020_remove_attribute.t ....... Kevin Murphy wrote: > Hi RT List, > > I attempted installing with CPAN, but that resulted in: > > > > Warning: Cannot install RT::Authen::ExternalAuth, don't know what it is. Buy a copy at http://rtbook.bestpractical.com kpm Reply | Threaded Open this post in threaded view ♦ ♦ | Report Content as Inappropriate ♦ ♦ Re: ExternalAuth installation problems and can weblink

This is the only one on which I reconfigured the timezone yesterday. node historyNode Type: perlquestion [id://664220]Approved by ikegamihelp Chatterbox? and all is quiet... perl -MBugzilla -le 'print Bugzilla->local_timezone->name Comment 12 Stephen Ostermiller 2014-04-07 09:02:00 PDT Also fine (after adding the closing quote to the command): ~/sites/bugzilla/bugzilla$ perl -MBugzilla -le 'print Bugzilla->local_timezone->name' America/New_York Comment 13 Checking if your kit is complete... https://rt.cpan.org/Ticket/Display.html?id=102026

Make sure you have installed the Net::LDAP modules and any others that it needs and you should get further. - Brian On Nov 20, 2008, at 1:38 PM, Kevin Murphy ok t/201_trait_counter.t .......... cp lib/Net/RabbitFoot/Cmd/Command/declare_exchange.pm blib/lib/Net/RabbitFoot/Cmd/Command/declare_exchange.pm cp lib/Net/RabbitFoot/Cmd/Command/purge_queue.pm blib/lib/Net/RabbitFoot/Cmd/Command/purge_queue.pm cp lib/Net/RabbitFoot/Cmd/Role/Command.pm blib/lib/Net/RabbitFoot/Cmd/Role/Command.pm cp lib/Net/RabbitFoot/Cmd/Role/Config.pm blib/lib/Net/RabbitFoot/Cmd/Role/Config.pm cp lib/Net/RabbitFoot/Channel.pm blib/lib/Net/RabbitFoot/Channel.pm cp lib/Net/RabbitFoot.pm blib/lib/Net/RabbitFoot.pm cp lib/Net/RabbitFoot/Cmd/Command/unbind_queue.pm blib/lib/Net/RabbitFoot/Cmd/Command/unbind_queue.pm cp lib/Net/RabbitFoot/Cmd/Command/delete_queue.pm blib/lib/Net/RabbitFoot/Cmd/Command/delete_queue.pm cp lib/Net/RabbitFoot/Cmd/Command/declare_queue.pm blib/lib/Net/RabbitFoot/Cmd/Command/declare_queue.pm cp lib/Net/RabbitFoot/Cmd/Command/delete_exchange.pm blib/lib/Net/RabbitFoot/Cmd/Command/delete_exchange.pm cp

  • Nothing, you just stopped too early.
  • Buy a copy at http://rtbook.bestpractical.com Brian Friday-2 Reply | Threaded Open this post in threaded view ♦ ♦ | Report Content as Inappropriate ♦ ♦ Re: ExternalAuth installation problems and
  • Here is a link: http://bugzilla.deadsea.ostermiller.org/buglist.cgi?bug_status=NEW&product=ContactForm "Software error: Cannot determine local time zone" On that machine, I can run this command: ~/sites/bugzilla/bugzilla$ perl -MBugzilla -le 'print Bugzilla->local_timezone->name' America/New_York Comment 17 Stephen Ostermiller
  • Thomas # TueFeb1016:51:022015 cpan [...] chmrr.net - Status changed from 'open' to 'rejected' This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.
  • perl -MDateTime::Locale -we 'print $DateTime::Locale::VERSION' reports version 0.45 I removed /etc/localtime and regenerated it with sudo dpkg-reconfigure tzdata Unfortunately that appears to have no effect.
  • They themselves apparently failed to fix it and closed the problem, but the problem is still there.
  • ok t/back_compat.t ...................

If I found the source code for the Universe, the first thing I'd do: Fix all the bugs Add a backdoor Remove any backdoors Make clean; make install Make myself root ok t/pod.t ........................ got the right key value pairs' # at t/003_basic_hash.t line 174. # Structures begin differing at: # $got->[0][0] = 'quantity' # $expected->[0][0] = 'xxy' # Looks like you failed 1 test Yes, problem in packages configuration. "DateTime", "DateTime-Locale" and "DateTime-TimeZone" package list is not enough for correct work of bugzilla.

Posted code may not have been tested. Buy a copy at http://rtbook.bestpractical.com _______________________________________________ http://lists.bestpractical.com/cgi-bin/mailman/listinfo/rt-usersCommunity help: http://wiki.bestpractical.comCommercial support: [hidden email] Discover RT's hidden secrets with RT Essentials from O'Reilly Media. It is provided as is with no warranties, express or implied, of any kind. Comment 32 wskellenger 2015-05-29 11:26:19 PDT Confirming this still exists on my installation: C:\bugzilla>checksetup.pl * This is Bugzilla 4.4.9 on perl 5.20.2 * Running on Win7 Build 7601 (Service Pack 1)

Same behavior if I modify index.cgi with $vars->{'tz'} = Bugzilla->local_timezone->name; Comment 19 Stephen Ostermiller 2014-04-07 11:23:51 PDT It has something to do with Bugzilla's use of the -T flag. Why do I never get a mention at work? Re^5: Catalyst MVC Installation by keszler (Priest) on Oct 22, 2011 at 08:23EDT Thank you - it appears that my problem was stopping at the documentation versus checking the source and Kevin Murphy wrote: > Hi RT List, > > I attempted installing with CPAN, but that resulted in: > > > > Warning: Cannot install RT::Authen::ExternalAuth, don't know what it

ok t/001_basic_counter.t .......... https://lists.rabbitmq.com/pipermail/rabbitmq-discuss/2013-August/029243.html They themselves apparently failed to fix it and > closed the problem, but the problem is still there. Comment 11 Dylan Hardison [:dylan] 2014-04-07 08:56:40 PDT Interesting! Anyway, I > continued on to edit the /opt/rt3/etc/RT_SiteConfig.pm by adding 'Set( > @Plugins, qw(RT::Authen::ExternalAuth) );' as per the readme file. > After that, if I attempt to restart Apache, the

Time to display: 0.222792 »|« RT 4.0.18 Copyright 1996-2013 Best Practical Solutions, LLC. have a peek at these guys This appears to be because the DateTime library reads the /etc/timezone file which causes this data to be "tainted". Anyway, I continued on to edit the /opt/rt3/etc/RT_SiteConfig.pm by adding 'Set( @Plugins, qw(RT::Authen::ExternalAuth) );' as per the readme file. Kevin -----Original Message----- From: Brian Friday [mailto:[hidden email]] Sent: Thursday, November 20, 2008 3:18 PM To: Kevin Murphy Cc: RT Users Subject: Re: [rt-users] ExternalAuth installation problems and can Authenticating RT

Larry Wall Shrine Buy PerlMonks Gear Offering Plate Awards Random Node Quests Craft Snippets Code Catacombs Editor Requests blogs.perl.org Perlsphere Perl Ironman Blog Perl Weekly Perl.com Perl 5 Wiki Perl Jobs ok t/010_array_from_role.t ........ I am building inside a packaging system and it seems that RT-Authen-ExternalAuth does not use one of the standard methods it supports. check over here How do I use this? | Other CB clients Other Users?

Comment 28 Javier 2015-03-14 08:18:11 PDT Hi, In case some is still having this problem, I was getting the same error with a Bugzilla 4.4.8 running on ActivePerl 5.20.1, MySQL 5.6 Writing Makefile for Catalyst::Devel Writing MYMETA.yml and MYMETA.json Catalyst-Devel-1.34> dmake cp lib/Catalyst/Helper.pm blib\lib\Catalyst\Helper.pm cp lib/Catalyst/Restarter/Forking.pm blib\lib\Catalyst\Restarter\Forki +ng.pm cp lib/Module/Install/Catalyst.pm blib\lib\Module\Install\Catalyst.pm cp lib/Catalyst/Devel.pm blib\lib\Catalyst\Devel.pm cp lib/Catalyst/Restarter/Win32.pm blib\lib\Catalyst\Restarter\Win32.p +m cp lib/Catalyst/Restarter.pm blib\lib\Catalyst\Restarter.pm Catalyst-Devel-1.34> This problem exists for way too long and should be fixed.

Comment 9 Dylan Hardison [:dylan] 2014-04-06 22:35:31 PDT This is a error is generated from DateTime::TimeZone::Local, which is somehow failing due to system configuration.

Why did the best potions master have greasy hair? It appears Kevin that you do not have Net::LDAP installed based on your error messages below. share|improve this answer edited Jun 18 '10 at 4:20 answered Jun 18 '10 at 3:52 user181548 add a comment| Your Answer draft saved draft discarded Sign up or log in I closed the cpan session, reopened it and ran the install Net::LDAP again, chose 'no' and it installed this time.

Looks like you missed Net::Ldap module. Advisor professor asks for my dissertation research source-code Is it safe to use cheap USB data cables? When I hit 'Search' in 'Advanced Search' screen (/bugzilla/query.cgi?format=advanced) I get this red message: undef error - Cannot determine local time zone Advice feom here: http://old.nabble.com/undef-error---Cannot-determine-local-time-zone-td19433162.html still helps and adding "BEGIN http://inviewsoftware.com/cannot-determine/cannot-determine-perl-version-info-from-lib-net-ssleay-pm.html ok t/100_collection_with_roles.t ..

Checking if your kit is complete... ok t/012_basic_bool.t ............. But manual installation is just as good so it doesn't matter much. > > > So, I followed the manual install instructions, but when I run > > Does anybody have any further information / insight on this, at all?

From the bugzilla install directory, what does this output? But manual installation is just as good so it doesn't matter much. > > > So, I followed the manual install instructions, but when I run > > Both of them use Module::Install. While digging for a solution I was able to find the following in case someone wants to dig deeper: - It seems for non-english installations of Windows the system registry that

t/render_file_contents.t .......... Status: RESOLVED INVALID Whiteboard: Keywords: Product: Bugzilla Classification: Server Software Component: Bugzilla-General (show other bugs) Version: unspecified Platform: x86_64 FreeBSD Importance: -- major (vote) TargetMilestone: --- Assigned To: Nobody; OK to Download in other formats: Comma-delimited Text Tab-delimited Text RSS Feed Powered by Trac 1.0.2 By Edgewall Software. Thanks Mike, I did follow as per instructions with 'perl Makefile.PL', 'make', and 'make install'.